/*! \file PtTabRel_Princ.h
    \brief listes de petits tableaux de réels
    
    listes de petits tableaux de réels
    ce fichier initialise les listes générales. Il ne doit être inclus que dans le fichier
    qui contiend le programme principal
    on n'inclus pas la def des class de base 1,2,3, ... reel, en général arrivée à l'inclusion
    elles sont déjà définis
*/
 
// This file is part of the Herezh++ application.
//
// The finite element software Herezh++ is dedicated to the field
// of mechanics for large transformations of solid structures.
// It is developed by Gérard Rio (APP: IDDN.FR.010.0106078.000.R.P.2006.035.20600)
// INSTITUT DE RECHERCHE DUPUY DE LÔME (IRDL) <https://www.irdl.fr/>.
//
// Herezh++ is distributed under GPL 3 license ou ultérieure.
//
// Copyright (C) 1997-2021 Université Bretagne Sud (France)
// AUTHOR : Gérard Rio
// E-MAIL  : gerardrio56@free.fr
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.
//
// For more information, please consult: <https://herezh.irdl.fr/>.

// listes de petits tableaux de réels
// ce fichier initialise les listes générales. Il ne doit être inclus que dans le fichier
// qui contiend le programme principal
// on n'inclus pas la def des class de base 1,2,3, ... reel, en général arrivée à l'inclusion
// elles sont déjà définis


//=================================================
/// cas des tableaux de 1 réels
std::list <Reels1> listdouble1;
//=================================================
/// cas des tableaux de 2 réels
std::list <Reels2> listdouble2;
//=================================================
/// cas des tableaux de trois réels
std::list <Reels3> listdouble3;
//=================================================
/// cas des tableaux de quatre réels
std::list <Reels4> listdouble4;
//=================================================
/// cas des tableaux de 5 réels
std::list <Reels5> listdouble5;
//=================================================
/// cas des tableaux de 6 réels
std::list <Reels6> listdouble6;
//=================================================
/// cas des tableaux de 7 réels
std::list <Reels7> listdouble7;
//=================================================
/// cas des tableaux de 8 réels
std::list <Reels8> listdouble8;
//=================================================
/// cas des tableaux de 9 réels
std::list <Reels9> listdouble9;
//=================================================
/// cas des tableaux de 16 réels
std::list <Reels16> listdouble16;
//=================================================
/// cas des tableaux de 36 réels
std::list <Reels21> listdouble21;
//=================================================
/// cas des tableaux de 36 réels
std::list <Reels36> listdouble36;
//=================================================
/// cas des tableaux de 81 réels
std::list <Reels81> listdouble81;
//=================================================


